Bug 1278237 - SELinux is preventing /usr/sbin/rngd from 'execmod' accesses on the file .
SELinux is preventing /usr/sbin/rngd from 'execmod' accesses on the file .
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:68e865d3815bc8a42a2f642ebc6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 21:46 EST by Francesco Camuffo
Modified: 2016-01-21 07:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 07:52:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco Camuffo 2015-11-04 21:46:49 EST
Description of problem:
SELinux is preventing /usr/sbin/rngd from 'execmod' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If si crede che rngd dovrebbe avere possibilità di accesso execmod sui  file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep rngd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:rngd_t:s0
Target Context                system_u:object_r:rngd_exec_t:s0
Target Objects                 [ file ]
Source                        rngd
Source Path                   /usr/sbin/rngd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-197.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.19.8-100.fc20.i686+PAE #1 SMP
                              Tue May 12 17:27:49 UTC 2015 i686 i686
Alert Count                   22
First Seen                    1980-01-04 01:01:33 CET
Last Seen                     2015-11-05 03:16:11 CET
Local ID                      1f28b327-efe7-44b8-8d31-d31021fe7913

Raw Audit Messages
type=AVC msg=audit(1446689771.469:8): avc:  denied  { execmod } for  pid=623 comm="rngd" path="/usr/sbin/rngd" dev="dm-0" ino=405664 scontext=system_u:system_r:rngd_t:s0 tcontext=system_u:object_r:rngd_exec_t:s0 tclass=file permissive=1


Hash: rngd,rngd_t,rngd_exec_t,file,execmod

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.19.8-100.fc20.i686+PAE
type:           libreport

Potential duplicate: bug 1181308
Comment 1 Jan Kurik 2015-12-22 06:33:45 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.